// LEGAL NOTICE: This code follows the GNU licence.
// Authors: Oscar Chavarro & Camilo Nemocon

package vrpnforprocessing;

import java.io.*;
import java.util.*;
import vrpn.*;


public class vrpnTracker
	implements vrpn.TrackerRemote.PositionChangeListener

{

        static float posx;
        static float posy;
        static float posz;


        public void trackerPositionUpdate( TrackerRemote.TrackerUpdate u, TrackerRemote tracker )
	{
		if ( u.sensor == 0 ) 
                {
                //System.out.print("position: " + u.pos[0]+ " " + u.pos[1] + " " +u.pos[2]);
                posx = (float) u.pos[0];
                posy = (float) u.pos[1];
                posz = (float) u.pos[2];
                }
        }


        
        public float getPosx()
        {
            return posx;
        }

        public float getPosy()
        {
            return posy;
        }

        public float getPosz()
        {
            return posz;
        }

	public void conectar()
	{
		String trackerName = "Tracker1@tcp://localhost";
                TrackerRemote tracker =null;
		BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
		try
		{
			tracker = new TrackerRemote( trackerName, null, null, null, null );
		}
		catch( InstantiationException e )
		{
			System.out.println( "We couldn't connect to tracker " + trackerName + "." );
                        System.out.println( e.getMessage());
                   
                        try
                        {
                                 System.out.println( "hit enter to end" );
                                 String s = in.readLine();
                        }
                        catch (IOException ioe) {}
	                return;
		}
		
		vrpnTracker test;
                test = new vrpnTracker();
		tracker.addPositionChangeListener( test );
                System.out.println("Tracker listo!");
	}
	
}
